#!/usr/bin/env sh
set -o errexit
set -o nounset
set -o pipefail

cd ${1:-../secrets/authelia}

for secret in JWT_SECRET SESSION_SECRET STORAGE_PASSWORD STORAGE_ENCRYPTION_KEY; do
  test -s $secret && continue 
  authelia crypto rand --length 64 --charset alphanumeric | cut -d':' -f2 | tr -d ' ' > $secret
done
